summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorquinn <quinn>2006-09-27 23:25:00 +0000
committerquinn <quinn>2006-09-27 23:25:00 +0000
commite6d3d282aab47c9d887e218ea9400629250e83b3 (patch)
treec53c460418d76fcbe8c8acab4a78ab5af801b65d /autogen.sh
parentbbb1cf8afb4f51c80f892d1e14033af231cbe034 (diff)
downloadberyl-manager-e6d3d282aab47c9d887e218ea9400629250e83b3.tar.gz
beryl-manager-e6d3d282aab47c9d887e218ea9400629250e83b3.tar.bz2
beryl-manager...
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..c8905a9
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+glib-gettextize --copy --force || exit 1
+
+cd $ORIGDIR || exit $?
+
+$srcdir/configure "$@"
+